unit Lfunc;

interface
 uses
 SysUtils, Math;

function Sign(Arg1,Arg2 :Extended):Extended; //   Arg2  |Arg1|
function IntSign(Arg1,Arg2 :Integer):Integer;  //   Arg2  |Arg1|
function EMax0(Arg1,Arg2 :Integer):Extended; //  
function EMax1(Arg1,Arg2 :Extended):Extended; //  
function Max0(Arg1,Arg2 :Integer):Integer; //  
function Max1(Arg1,Arg2 :Extended):Integer; //  
function EMin0(Arg1,Arg2 :Integer):Extended; //  
function EMin1(Arg1,Arg2 :Extended):Extended; //  
function Min0(Arg1,Arg2 :Integer):Integer; //  
function Min1(Arg1,Arg2 :Extended):Integer; //  
function Emod(Arg1,Arg2 :Extended):Extended;   //  

implementation

function Sign(Arg1,Arg2 :Extended):Extended;
begin
 if ( Arg2>=0 )
  then if ( Arg1>=0 )
        then Result := Arg1
        else Result := -Arg1
  else if ( Arg1>=0 )
        then Result := -Arg1
        else Result := Arg1;
end;
//****************************************************
function IntSign(Arg1,Arg2 :Integer):Integer;
//   Arg2  |Arg1|
begin
 if ( Arg2>=0 )
  then if ( Arg1>=0 )
        then Result := Arg1
        else Result := -Arg1
  else if ( Arg1>=0 )
        then Result := -Arg1
        else Result := Arg1;
end;
//****************************************************
function EMax0(Arg1,Arg2 :Integer):Extended;
//  
begin
 if ( Arg1>=Arg2 )
        then Result := Arg1
        else Result := Arg2;
end;
//****************************************************
function EMax1(Arg1,Arg2 :Extended):Extended;
//  
begin
 if ( Arg1>=Arg2 )
        then Result := Arg1
        else Result := Arg2;
end;
//****************************************************
function Max0(Arg1,Arg2 :Integer):Integer;
//  
begin
 if ( Arg1>=Arg2 )
        then Result := Arg1
        else Result := Arg2;
end;
//****************************************************
function Max1(Arg1,Arg2 :Extended):Integer;
//  
begin
 if ( Arg1>=Arg2 )
        then Result := Trunc(Arg1)
        else Result := Trunc(Arg2);
end;
//****************************************************
function EMin0(Arg1,Arg2 :Integer):Extended;
//  
begin
 if ( Arg1<=Arg2 )
        then Result := Arg1
        else Result := Arg2;
end;
//****************************************************
function EMin1(Arg1,Arg2 :Extended):Extended;
//  
begin
 if ( Arg1<=Arg2 )
        then Result := Arg1
        else Result := Arg2;
end;
//****************************************************
function Min0(Arg1,Arg2 :Integer):Integer;
//  
begin
 if ( Arg1<=Arg2 )
        then Result := Arg1
        else Result := Arg2;
end;
//****************************************************
function Min1(Arg1,Arg2 :Extended):Integer;
//  
begin
 if ( Arg1<=Arg2 )
        then Result := Trunc(Arg1)
        else Result := Trunc(Arg2);
end;
//****************************************************
function Emod(Arg1,Arg2 :Extended):Extended;
//  
begin
 Result := Arg1 -(Int(arg1 / arg2 ) * arg2);
end;

end.
